<?php
	/*
	 *
	 * 2003 - 2020 @ Yal Publicidad - yPanel
	 * www.yalpublicidad.com
	 * online@yalpublicidad.com
	 *
	 * funciones principales de modulo
	 */
	
	/* Autorizo acceso */
		defined('YPANEL_INI') or die( 'No dispones de acceso' );
	
	
	//** Listar zona horaria UTC */
	function utc(){
		$utc		= _DIR_PAQUETE . YDS . '.ypanel' . YDS . 'utc.y';
		
		$json		= file_get_contents( $utc ); 
		$utc		= json_decode($json, true); 
		
		$utc_us		= yPanel::cuenta_usuario( 'utc_id' );
		$utc_list	= '';
		
		foreach( $utc as $k => $v ){
			$txt		= explode( '|', $v );
			$utc_list	.= '<option value="' . $k . '|' . $txt[1] . '"';
			if( $utc_us == $k )  $utc_list .= ' selected';
			$utc_list	.= '> ' . $txt[0] . '</option>';
		}
		
		return $utc_list;
	}
	
	//** cargo pantalla de inicio */
	com::pantalla_inicio( com::importar( __DIR__ . YDS . 'frm.php' ) );
			 
?>